org.springframework.web.servlet.tags

## Class ParamTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.springframework.web.servlet.tags.ParamTag

- All Implemented Interfaces:
    Serializable, BodyTag, IterationTag, JspTag, Tag

      public class ParamTag
      extends BodyTagSupport

  The `<param>` tag collects name-value parameters and passes them to a `ParamAware` ancestor in the tag hierarchy.

  This tag must be nested under a param aware tag.

  Attribute Summary
  Attribute | Required? | Runtime Expression? | Description
  --- | --- | --- | ---
  name | true | true | The name of the parameter.
  value | false | true | The value of the parameter.

  Since:
    3.0
  Author:
    Scott Andrews, Nicholas Williams
  See Also:
    `Param`, `UrlTag`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `void` | `release()`
    `void` | `setName(String name)` Set the name of the parameter (required).
    `void` | `setValue(String value)` Set the value of the parameter (optional).

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ParamTag

          public ParamTag()

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Set the name of the parameter (required).

    - #### setValue

          public void setValue(String value)

      Set the value of the parameter (optional).

    - #### doEndTag

          public int doEndTag()
                       throws JspException

      Specified by:
        `doEndTag` in interface `Tag`
      Overrides:
        `doEndTag` in class `BodyTagSupport`
      Throws:
        `JspException`

    - #### release

          public void release()

      Specified by:
        `release` in interface `Tag`
      Overrides:
        `release` in class `BodyTagSupport`